Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # MutableChannelConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename T> struct boost::gil::MutableChannelConcept< T > A channel that allows for modifying its value.
    concept MutableChannelConcept<ChannelConcept T> : Assignable<T>, Swappable<T> {};
## Public Member Functions
void | constraints ()
The documentation for this struct was generated from the following file: gil_concept.hpp